# Uses of Class
ch.qos.logback.classic.LoggerContext

Packages that use LoggerContext
Package
Description
ch.qos.logback.classic
Contains logback classic main classes.
ch.qos.logback.classic.jmx
ch.qos.logback.classic.jul
Logback <-> java.util.logging (JUL) integration.
ch.qos.logback.classic.net
Contains classes used to log through a network
ch.qos.logback.classic.selector
ch.qos.logback.classic.spi
Contains core classes of logback classic.
ch.qos.logback.classic.util
Contains utility classes.

## Uses of LoggerContext in ch.qos.logback.classic

Methods in ch.qos.logback.classic that return LoggerContext
Modifier and Type
Method
Description
`LoggerContext`
Logger.`getLoggerContext()`
Return the context for this logger.
Methods in ch.qos.logback.classic with parameters of type LoggerContext
Modifier and Type
Method
Description
`void`
BasicConfigurator.`configure(LoggerContext lc)`

## Uses of LoggerContext in ch.qos.logback.classic.jmx

Methods in ch.qos.logback.classic.jmx with parameters of type LoggerContext
Modifier and Type
Method
Description
`static void`
MBeanUtil.`createAndRegisterJMXConfigurator(MBeanServer mbs, LoggerContext loggerContext, JMXConfigurator jmxConfigurator, ObjectName objectName, Object caller)`
`void`
JMXConfigurator.`onReset(LoggerContext context)`
`void`
JMXConfigurator.`onStart(LoggerContext context)`
`void`
JMXConfigurator.`onStop(LoggerContext context)`
When the associated LoggerContext is stopped, this configurator must be unregistered
`static void`
MBeanUtil.`unregister(LoggerContext loggerContext, MBeanServer mbs, ObjectName objectName, Object caller)`
Constructors in ch.qos.logback.classic.jmx with parameters of type LoggerContext
Modifier
Constructor
Description
``
`JMXConfigurator(LoggerContext loggerContext, MBeanServer mbs, ObjectName objectName)`

## Uses of LoggerContext in ch.qos.logback.classic.jul

Methods in ch.qos.logback.classic.jul with parameters of type LoggerContext
Modifier and Type
Method
Description
`void`
LevelChangePropagator.`onReset(LoggerContext context)`
`void`
LevelChangePropagator.`onStart(LoggerContext context)`
`void`
LevelChangePropagator.`onStop(LoggerContext context)`

## Uses of LoggerContext in ch.qos.logback.classic.net

Methods in ch.qos.logback.classic.net with parameters of type LoggerContext
Modifier and Type
Method
Description
`static void`
SimpleSocketServer.`configureLC(LoggerContext lc, String configFile)`
Constructors in ch.qos.logback.classic.net with parameters of type LoggerContext
Modifier
Constructor
Description
``
`SimpleSocketServer(LoggerContext lc, int port)`
``
`SimpleSSLSocketServer(LoggerContext lc, int port)`
Creates a new server using the default SSL context.
``
`SimpleSSLSocketServer(LoggerContext lc, int port, SSLContext sslContext)`
Creates a new server using a custom SSL context.
``
`SocketNode(SimpleSocketServer socketServer, Socket socket, LoggerContext context)`

## Uses of LoggerContext in ch.qos.logback.classic.selector

Methods in ch.qos.logback.classic.selector that return LoggerContext
Modifier and Type
Method
Description
`LoggerContext`
ContextJNDISelector.`detachLoggerContext(String loggerContextName)`
`LoggerContext`
ContextSelector.`detachLoggerContext(String loggerContextName)`
`LoggerContext`
DefaultContextSelector.`detachLoggerContext(String loggerContextName)`
`LoggerContext`
ContextJNDISelector.`getDefaultLoggerContext()`
`LoggerContext`
ContextSelector.`getDefaultLoggerContext()`
`LoggerContext`
DefaultContextSelector.`getDefaultLoggerContext()`
`LoggerContext`
ContextJNDISelector.`getLoggerContext()`
`LoggerContext`
ContextJNDISelector.`getLoggerContext(String name)`
`LoggerContext`
ContextSelector.`getLoggerContext()`
`LoggerContext`
ContextSelector.`getLoggerContext(String name)`
`LoggerContext`
DefaultContextSelector.`getLoggerContext()`
`LoggerContext`
DefaultContextSelector.`getLoggerContext(String name)`
Methods in ch.qos.logback.classic.selector with parameters of type LoggerContext
Modifier and Type
Method
Description
`void`
ContextJNDISelector.`setLocalContext(LoggerContext context)`
These methods are used by the LoggerContextFilter.
Constructors in ch.qos.logback.classic.selector with parameters of type LoggerContext
Modifier
Constructor
Description
``
`ContextJNDISelector(LoggerContext context)`
``
`DefaultContextSelector(LoggerContext context)`

## Uses of LoggerContext in ch.qos.logback.classic.spi

Methods in ch.qos.logback.classic.spi that return LoggerContext
Modifier and Type
Method
Description
`LoggerContext`
LoggerContextAwareBase.`getLoggerContext()`
Return the `LoggerContext` this component is attached to.
Methods in ch.qos.logback.classic.spi with parameters of type LoggerContext
Modifier and Type
Method
Description
`void`
Configurator.`configure(LoggerContext loggerContext)`
The context will also be set before this method is called via `ContextAware.setContext(ch.qos.logback.core.Context)`.
`void`
LoggerContextListener.`onReset(LoggerContext context)`
`void`
LoggerContextListener.`onStart(LoggerContext context)`
`void`
LoggerContextListener.`onStop(LoggerContext context)`
`void`
LoggerContextAware.`setLoggerContext(LoggerContext context)`
Set owning logger context for this component.
`void`
LoggerContextAwareBase.`setLoggerContext(LoggerContext context)`
Set the owning context.
Constructors in ch.qos.logback.classic.spi with parameters of type LoggerContext
Modifier
Constructor
Description
``
`LoggerContextVO(LoggerContext lc)`
``
`LoggerRemoteView(String name, LoggerContext lc)`

## Uses of LoggerContext in ch.qos.logback.classic.util

Methods in ch.qos.logback.classic.util with parameters of type LoggerContext
Modifier and Type
Method
Description
`void`
ContextSelectorStaticBinder.`init(LoggerContext defaultLoggerContext, Object key)`
FOR INTERNAL USE.
Constructors in ch.qos.logback.classic.util with parameters of type LoggerContext
Modifier
Constructor
Description
``
`ContextInitializer(LoggerContext loggerContext)`